Overview

When you input a formula, you might forget the available function names. SpreadJS provides a formula list that displays the function description when you are entering a formula. When the formula list is displayed, press the Tab key to automatically complete the formula name.

The demo is being dynamically compiled to support real-time code editing... For quicker access to features, switch to the "JavaScript" tab for a smoother experience! :)
Description
app.js
index.html
styles.css
Copy to CodeMine

If you enter a range in a formula, the range indicator is displayed. You can use the mouse to click and select a range.

Use the Function class to add your own function. For example:

    var fn = new GC.Spread.CalcEngine.Functions.Function('squareFunction', 0, 1, 'Returns x * x.')
    fn.evaluate = function (x) {
       return x * x;
    };

You can also get the function description as shown below:

    var functionDescription = fn.description();

You can change the in-cell across sheet formula textbox and its popup elements by modify the css definition.

.gc-across-sheet-ftb {
    z-index: -1 !important;
}
.gc-across-sheet-func-popup {
    z-index: -1 !important;
}
If you enter a range in a formula, the range indicator is displayed. You can use the mouse to click and select a range. Use the Function class to add your own function. For example: You can also get the function description as shown below: You can change the in-cell across sheet formula textbox and its popup elements by modify the css definition.
window.onload = function () { var spread = new GC.Spread.Sheets.Workbook(document.getElementById("ss"), {sheetCount: 2}); initSpread(spread); }; function initSpread(spread) { var spreadNS = GC.Spread.Sheets; var fbx = new spreadNS.FormulaTextBox.FormulaTextBox(document.getElementById('formulaBar')); fbx.workbook(spread); spread.suspendPaint(); var sheet2 = spread.sheets[1]; sheet2.setArray(0, 0, [[1, 4, 7], [2, 5, 8], [3, 6, 9]]); var sheet = spread.sheets[0]; sheet.options.allowCellOverflow = true; sheet.setValue(1, 2, "A helpful text box is displayed when typing any formula in a cell or the area above the sheet."); sheet.setValue(2, 2, "For example: =sum(1,2,3)"); for (var i = 5; i < 35; i++) { for (var j = 1; j < 15; j++) { sheet.setValue(i, j, i * j); } } // used to help show table support feature sheet.tables.add("Table1", 4, 7, 5, 4); for (var c = 7; c <= 10; c++) { sheet.setColumnWidth(c, 90); } sheet.setFormula(3, 0, "Table1[[#Headers],[Column2]]"); // used to help show custom name support feature sheet.addCustomName("RangeB6C9", "$B$6:$C$9", 0, 0); sheet.addCustomName("Range2", "SUM($C$11:$D$14)", 0, 0); sheet.setFormula(4, 0, "AVERAGE(RangeB6C9)"); // used to help show multi supported reference types var formula = "SUM(B6:C9,E6:F9,Table1[#Data],Range2,F11:J14,D16:I17)"; sheet.setActiveCell(1, 0); sheet.getCell(1, 0).formula(formula); fbx.text("=" + formula); // used to help show cross sheet reference sheet.setFormula(5, 0, "SUM(sheet2!A1:C3)"); sheet.getRange(1, 0, 5, 1).foreColor("green"); spread.resumePaint(); }
<!doctype html> <html style="height:100%;font-size:14px;"> <head> <meta charset="utf-8" /> <meta name="viewport" content="width=device-width, initial-scale=1.0" /> <link rel="stylesheet" type="text/css" href="$DEMOROOT$/en/purejs/node_modules/@mescius/spread-sheets/styles/gc.spread.sheets.excel2013white.css"> <script src="$DEMOROOT$/en/purejs/node_modules/@mescius/spread-sheets/dist/gc.spread.sheets.all.min.js" type="text/javascript"></script> <script src="$DEMOROOT$/spread/source/js/license.js" type="text/javascript"></script> <script src="app.js" type="text/javascript"></script> <link rel="stylesheet" type="text/css" href="styles.css"> </head> <body> <div class="sample-tutorial"> <div class="demo-options"> <div class="option-row"> <div id="formulaBar" contenteditable="true" spellcheck="false" style="font-family: Calibri;border: 1px solid #808080;width:100%;box-sizing: border-box;"></div> </div> </div> <div id="ss" style="width:100%; height: calc(100% - 20px)"></div> </div> </body> </html>
.sample-tutorial { position: relative; height: 100%; overflow: hidden; } body { position: absolute; margin: 0; top: 0; bottom: 0; left: 0; right: 0; } .gc-across-sheet-ftb { z-index: -1 !important; } .gc-across-sheet-func-popup { z-index: -1 !important; }

If you enter a range in a formula, the range indicator is displayed. You can use the mouse to click and select a range.
Use the Function class to add your own function. For example:
You can also get the function description as shown below:
You can change the in-cell across sheet formula textbox and its popup elements by modify the css definition.
<template>
<div class="sample-tutorial">
<div class="demo-options">
<div class="option-row">
<div id="formulaBar" contenteditable="true" spellcheck="false" style="font-family: Calibri;border: 1px solid #808080;width:100%;box-sizing: border-box;"></div>
</div>
</div>
<gc-spread-sheets class="sample-spreadsheets" @workbookInitialized="initSpread">
<gc-worksheet>
</gc-worksheet>
<gc-worksheet>
</gc-worksheet>
</gc-spread-sheets>
</div>
</template>
<script setup>
import GC from "@mescius/spread-sheets";
const initSpread = (spread) => {
var fbx = new GC.Spread.Sheets.FormulaTextBox.FormulaTextBox(document.getElementById('formulaBar'));
fbx.workbook(spread);
spread.suspendPaint();
var sheet2 = spread.sheets[1];
sheet2.setArray(0, 0, [[1, 4, 7], [2, 5, 8], [3, 6, 9]]);
var sheet = spread.sheets[0];
sheet.options.allowCellOverflow = true;
sheet.setValue(1, 2, "A helpful text box is displayed when typing any formula in a cell or the area above the sheet.");
sheet.setValue(2, 2, "For example: =sum(1,2,3)");
for (var i = 5; i < 35; i++) {
for (var j = 1; j < 15; j++) {
sheet.setValue(i, j, i * j);
}
}
// used to help show table support feature
sheet.tables.add("Table1", 4, 7, 5, 4);
for (var c = 7; c <= 10; c++) {
sheet.setColumnWidth(c, 90);
}
sheet.setFormula(3, 0, "Table1[[#Headers],[Column2]]");
// used to help show custom name support feature
sheet.addCustomName("RangeB6C9", "$B$6:$C$9", 0, 0);
sheet.addCustomName("Range2", "SUM($C$11:$D$14)", 0, 0);
sheet.setFormula(4, 0, "AVERAGE(RangeB6C9)");
// used to help show multi supported reference types
var formula = "SUM(B6:C9,E6:F9,Table1[#Data],Range2,F11:J14,D16:I17)";
sheet.setActiveCell(1, 0);
sheet.getCell(1, 0).formula(formula);
fbx.text("=" + formula);
// used to help show cross sheet reference
sheet.setFormula(5, 0, "SUM(sheet2!A1:C3)");
sheet.getRange(1, 0, 5, 1).foreColor("green");
spread.resumePaint();
}
</script>
<style scoped>
#app {
height: 100%;
}
.sample-tutorial {
position: relative;
height: 100%;
overflow: hidden;
}
.sample-spreadsheets {
width: 100%;
height: calc(100% - 20px);
overflow: hidden;
float: left;
}
body {
position: absolute;
margin: 0;
top: 0;
bottom: 0;
left: 0;
right: 0;
}
.gc-across-sheet-ftb {
z-index: -1 !important;
}
.gc-across-sheet-func-popup {
z-index: -1 !important;
}
</style>
<!DOCTYPE html>
<html lang="en" style="height:100%;font-size:14px;">
<head>
<meta charset="utf-8" />
<meta http-equiv="X-UA-Compatible" content="IE=edge" />
<title>SpreadJS VUE</title>
<meta name="viewport" content="width=device-width, initial-scale=1.0" />
<link rel="stylesheet" type="text/css"
href="$DEMOROOT$/en/vue3/node_modules/@mescius/spread-sheets/styles/gc.spread.sheets.excel2013white.css">
<script src="$DEMOROOT$/en/vue3/node_modules/systemjs/dist/system.src.js"></script>
<script src="./systemjs.config.js"></script>
<script src="./compiler.js" type="module"></script>
<script>
var System = SystemJS;
System.import("./src/app.js");
System.import('$DEMOROOT$/en/lib/vue3/license.js');
</script>
</head>
<body>
<div id="app"></div>
</body>
</html>
(function (global) {
SystemJS.config({
transpiler: 'plugin-babel',
babelOptions: {
es2015: true
},
paths: {
// paths serve as alias
'npm:': 'node_modules/',
'cdn:': 'https://cdn.mescius.io/demoapps/packages/spreadjs/19.1.5-master-2026-07-21-2132/'
},
packageConfigPaths: [
'./node_modules/*/package.json',
"./node_modules/@mescius/*/package.json",
"./node_modules/@babel/*/package.json",
"./node_modules/@vue/*/package.json"
],
map: {
'@mescius/spread-sheets': 'cdn:@mescius/spread-sheets/index.js',
'@mescius/spread-sheets-vue': 'cdn:@mescius/spread-sheets-vue/index.js',
'vue': "npm:vue/dist/vue.esm-browser.js",
'tiny-emitter': 'npm:tiny-emitter/index.js',
'plugin-babel': 'npm:systemjs-plugin-babel/plugin-babel.js',
"systemjs-babel-build": "npm:systemjs-plugin-babel/systemjs-babel-browser.js",
},
meta: {
'*.css': { loader: 'systemjs-plugin-css' },
'*.vue': { loader: "../plugin-vue/index.js" }
}
});
})(this);

If you enter a range in a formula, the range indicator is displayed. You can use the mouse to click and select a range.
Use the Function class to add your own function. For example:
You can also get the function description as shown below:
You can change the in-cell across sheet formula textbox and its popup elements by modify the css definition.
import * as React from 'react';
import { createRoot } from 'react-dom/client';
import './styles.css';
import { AppFunc } from './app-func';
import { App } from './app-class';
// 1. Functional Component sample
createRoot(document.getElementById('app')).render(<AppFunc />);
// 2. Class Component sample
// createRoot(document.getElementById('app')).render(<App />);
import * as React from 'react';
import GC from '@mescius/spread-sheets';
import { SpreadSheets, Worksheet } from '@mescius/spread-sheets-react';
import './styles.css';
export function AppFunc() {
let initSpread = function (spread) {
let fbx = new GC.Spread.Sheets.FormulaTextBox.FormulaTextBox(document.getElementById('formulaBar'));
fbx.workbook(spread);
spread.suspendPaint();
let sheet2 = spread.sheets[1];
sheet2.setArray(0, 0, [[1, 4, 7], [2, 5, 8], [3, 6, 9]]);
let sheet = spread.sheets[0];
sheet.options.allowCellOverflow = true;
sheet.setValue(1, 2, "A helpful text box is displayed when typing any formula in a cell or the area above the sheet.");
sheet.setValue(2, 2, "For example: =sum(1,2,3)");
for (let i = 5; i < 35; i++) {
for (let j = 1; j < 15; j++) {
sheet.setValue(i, j, i * j);
}
}
// used to help show table support feature
sheet.tables.add("Table1", 4, 7, 5, 4);
for (let c = 7; c <= 10; c++) {
sheet.setColumnWidth(c, 90);
}
sheet.setFormula(3, 0, "Table1[[#Headers],[Column2]]");
// used to help show custom name support feature
sheet.addCustomName("RangeB6C9", "$B$6:$C$9", 0, 0);
sheet.addCustomName("Range2", "SUM($C$11:$D$14)", 0, 0);
sheet.setFormula(4, 0, "AVERAGE(RangeB6C9)");
// used to help show multi supported reference types
let formula = "SUM(B6:C9,E6:F9,Table1[#Data],Range2,F11:J14,D16:I17)";
sheet.setActiveCell(1, 0);
sheet.getCell(1, 0).formula(formula);
fbx.text("=" + formula);
// used to help show cross sheet reference
sheet.setFormula(5, 0, "SUM(sheet2!A1:C3)");
sheet.getRange(1, 0, 5, 1).foreColor("green");
spread.resumePaint();
}
return (<div class="sample-tutorial">
<div class="demo-options">
<div class="option-row">
<div id="formulaBar" contentEditable="true" spellCheck="false" style={{ fontFamily: "Calibri", border: "1px solid #808080", width: "100%", boxSizing: "border-box" }}></div>
</div>
</div>
<div class="sample-spreadsheets">
<SpreadSheets workbookInitialized={spread => initSpread(spread)}>
<Worksheet>
</Worksheet>
<Worksheet>
</Worksheet>
</SpreadSheets>
</div>
</div>);
}
import * as React from 'react';
import GC from '@mescius/spread-sheets';
import { SpreadSheets, Worksheet } from '@mescius/spread-sheets-react';
import './styles.css';
const Component = React.Component;
export class App extends Component {
render() {
return <div class="sample-tutorial">
<div class="demo-options">
<div class="option-row">
<div id="formulaBar" contentEditable="true" spellCheck="false" style={{fontFamily: "Calibri", border: "1px solid #808080", width: "100%", boxSizing: "border-box"}}></div>
</div>
</div>
<div class="sample-spreadsheets">
<SpreadSheets workbookInitialized={spread=>this.initSpread(spread)}>
<Worksheet>
</Worksheet>
<Worksheet>
</Worksheet>
</SpreadSheets>
</div>
</div>;
}
initSpread(spread) {
let fbx = new GC.Spread.Sheets.FormulaTextBox.FormulaTextBox(document.getElementById('formulaBar'));
fbx.workbook(spread);
spread.suspendPaint();
let sheet2 = spread.sheets[1];
sheet2.setArray(0, 0, [[1, 4, 7], [2, 5, 8], [3, 6, 9]]);
let sheet = spread.sheets[0];
sheet.options.allowCellOverflow = true;
sheet.setValue(1, 2, "A helpful text box is displayed when typing any formula in a cell or the area above the sheet.");
sheet.setValue(2, 2, "For example: =sum(1,2,3)");
for (let i = 5; i < 35; i++) {
for (let j = 1; j < 15; j++) {
sheet.setValue(i, j, i * j);
}
}
// used to help show table support feature
sheet.tables.add("Table1", 4, 7, 5, 4);
for (let c = 7; c <= 10; c++) {
sheet.setColumnWidth(c, 90);
}
sheet.setFormula(3, 0, "Table1[[#Headers],[Column2]]");
// used to help show custom name support feature
sheet.addCustomName("RangeB6C9", "$B$6:$C$9", 0, 0);
sheet.addCustomName("Range2", "SUM($C$11:$D$14)", 0, 0);
sheet.setFormula(4, 0, "AVERAGE(RangeB6C9)");
// used to help show multi supported reference types
let formula = "SUM(B6:C9,E6:F9,Table1[#Data],Range2,F11:J14,D16:I17)";
sheet.setActiveCell(1, 0);
sheet.getCell(1, 0).formula(formula);
fbx.text("=" + formula);
// used to help show cross sheet reference
sheet.setFormula(5, 0, "SUM(sheet2!A1:C3)");
sheet.getRange(1, 0, 5, 1).foreColor("green");
spread.resumePaint();
}
}
<!doctype html>
<html style="height:100%;font-size:14px;">
<head>
<meta charset="utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0" />
<link rel="stylesheet" type="text/css" href="$DEMOROOT$/en/react/node_modules/@mescius/spread-sheets/styles/gc.spread.sheets.excel2013white.css">
<!-- SystemJS -->
<script src="$DEMOROOT$/en/react/node_modules/systemjs/dist/system.src.js"></script>
<script src="systemjs.config.js"></script>
<script>
System.import('$DEMOROOT$/en/lib/react/license.js').then(function () {
System.import('./src/app');
});
</script>
</head>
<body>
<div id="app"></div>
</body>
</html>
.sample-tutorial {
position: relative;
height: 100%;
overflow: hidden;
}
.sample-spreadsheets {
width: 100%;
height: calc(100% - 20px);
overflow: hidden;
float: left;
}
body {
position: absolute;
margin: 0;
top: 0;
bottom: 0;
left: 0;
right: 0;
}
#app {
height: 100%;
}
.gc-across-sheet-ftb {
z-index: -1 !important;
}
.gc-across-sheet-func-popup {
z-index: -1 !important;
}
(function (global) {
System.config({
transpiler: 'plugin-babel',
babelOptions: {
es2015: true,
react: true
},
meta: {
'*.css': { loader: 'css' }
},
paths: {
// paths serve as alias
'npm:': 'node_modules/',
'cdn:': 'https://cdn.mescius.io/demoapps/packages/spreadjs/19.1.5-master-2026-07-21-2132/'
},
// map tells the System loader where to look for things
map: {
'@mescius/spread-sheets': 'cdn:@mescius/spread-sheets/index.js',
'@mescius/spread-sheets-react': 'cdn:@mescius/spread-sheets-react/index.js',
'@grapecity/jsob-test-dependency-package/react-components': 'npm:@grapecity/jsob-test-dependency-package/react-components/index.js',
'react': 'npm:react/cjs/react.production.js',
'react-dom': 'npm:react-dom/cjs/react-dom.production.js',
'react-dom/client': 'npm:react-dom/cjs/react-dom-client.production.js',
'scheduler': 'npm:scheduler/cjs/scheduler.production.js',
'css': 'npm:systemjs-plugin-css/css.js',
'plugin-babel': 'npm:systemjs-plugin-babel/plugin-babel.js',
'systemjs-babel-build':'npm:systemjs-plugin-babel/systemjs-babel-browser.js'
},
// packages tells the System loader how to load when no filename and/or no extension
packages: {
src: {
defaultExtension: 'jsx'
},
"node_modules": {
defaultExtension: 'js'
},
}
});
})(this);

If you enter a range in a formula, the range indicator is displayed. You can use the mouse to click and select a range.
Use the Function class to add your own function. For example:
You can also get the function description as shown below:
You can change the in-cell across sheet formula textbox and its popup elements by modify the css definition.
import { Component, NgModule, enableProdMode } from '@angular/core';
import { BrowserModule } from '@angular/platform-browser';
import { platformBrowserDynamic } from '@angular/platform-browser-dynamic';
import { SpreadSheetsModule } from '@mescius/spread-sheets-angular';
import GC from '@mescius/spread-sheets';
import './styles.css';
@Component({
selector: 'app-component',
templateUrl: 'src/app.component.html'
})
export class AppComponent {
spread: GC.Spread.Sheets.Workbook;
hostStyle = {
width: '100%',
height: 'calc(100% - 20px)',
overflow: 'hidden',
float: 'left'
};
constructor() {
}
initSpread($event: any) {
this.spread = $event.spread;
let spread = this.spread;
let fbx = new GC.Spread.Sheets.FormulaTextBox.FormulaTextBox(document.getElementById('formulaBar'));
fbx.workbook(spread);
spread.suspendPaint();
let sheet2 = spread.sheets[1];
sheet2.setArray(0, 0, [[1, 4, 7], [2, 5, 8], [3, 6, 9]]);
let sheet = spread.sheets[0];
sheet.options.allowCellOverflow = true;
sheet.setValue(1, 2, "A helpful text box is displayed when typing any formula in a cell or the area above the sheet.");
sheet.setValue(2, 2, "For example: =sum(1,2,3)");
for (let i = 5; i < 35; i++) {
for (let j = 1; j < 15; j++) {
sheet.setValue(i, j, i * j);
}
}
// used to help show table support feature
sheet.tables.add("Table1", 4, 7, 5, 4);
for (let c = 7; c <= 10; c++) {
sheet.setColumnWidth(c, 90);
}
sheet.setFormula(3, 0, "Table1[[#Headers],[Column2]]");
// used to help show custom name support feature
sheet.addCustomName("RangeB6C9", "$B$6:$C$9", 0, 0);
sheet.addCustomName("Range2", "SUM($C$11:$D$14)", 0, 0);
sheet.setFormula(4, 0, "AVERAGE(RangeB6C9)");
// used to help show multi supported reference types
var formula = "SUM(B6:C9,E6:F9,Table1[#Data],Range2,F11:J14,D16:I17)";
sheet.setActiveCell(1, 0);
sheet.getCell(1, 0).formula(formula);
fbx.text("=" + formula);
// used to help show cross sheet reference
sheet.setFormula(5, 0, "SUM(sheet2!A1:C3)");
sheet.getRange(1, 0, 5, 1).foreColor("green");
spread.resumePaint();
}
}
@NgModule({
imports: [BrowserModule, SpreadSheetsModule],
declarations: [AppComponent],
exports: [AppComponent],
bootstrap: [AppComponent]
})
export class AppModule {}
enableProdMode();
// Bootstrap application with hash style navigation and global services.
platformBrowserDynamic().bootstrapModule(AppModule);
<!doctype html>
<html style="height:100%;font-size:14px;">
<head>
<meta charset="utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0" />
<link rel="stylesheet" type="text/css" href="$DEMOROOT$/en/angular/node_modules/@mescius/spread-sheets/styles/gc.spread.sheets.excel2013white.css">
<!-- Polyfills -->
<script src="$DEMOROOT$/en/angular/node_modules/zone.js/fesm2015/zone.min.js"></script>
<!-- SystemJS -->
<script src="$DEMOROOT$/en/angular/node_modules/systemjs/dist/system.js"></script>
<script src="systemjs.config.js"></script>
<script>
// workaround to load 'rxjs/operators' from the rxjs bundle
System.import('rxjs').then(function (m) {
System.import('@angular/compiler');
System.set(SystemJS.resolveSync('rxjs/operators'), System.newModule(m.operators));
System.import('$DEMOROOT$/en/lib/angular/license.ts');
System.import('./src/app.component');
});
</script>
</head>
<body>
<app-component></app-component>
</body>
</html>
<div class="sample-tutorial">
<div class="demo-options">
<div class="option-row">
<div id="formulaBar" contenteditable="true" spellcheck="false" style="font-family: Calibri;border: 1px solid #808080;width:100%;box-sizing: border-box;"></div>
</div>
</div>
<gc-spread-sheets [hostStyle]="hostStyle" (workbookInitialized)="initSpread($event)">
<gc-worksheet>
</gc-worksheet>
<gc-worksheet>
</gc-worksheet>
</gc-spread-sheets>
</div>
.sample-tutorial {
position: relative;
height: 100%;
overflow: hidden;
}
body {
position: absolute;
margin: 0;
top: 0;
bottom: 0;
left: 0;
right: 0;
}
.gc-across-sheet-ftb {
z-index: -1 !important;
}
.gc-across-sheet-func-popup {
z-index: -1 !important;
}
(function (global) {
System.config({
transpiler: 'ts',
typescriptOptions: {
tsconfig: true
},
meta: {
'typescript': {
"exports": "ts"
},
'*.css': { loader: 'css' }
},
paths: {
// paths serve as alias
'npm:': 'node_modules/',
'cdn:': 'https://cdn.mescius.io/demoapps/packages/spreadjs/19.1.5-master-2026-07-21-2132/'
},
// map tells the System loader where to look for things
map: {
'zone': 'npm:zone.js/fesm2015/zone.min.js',
'rxjs': 'npm:rxjs/dist/bundles/rxjs.umd.min.js',
'@angular/core': 'npm:@angular/core/fesm2022',
'@angular/common': 'npm:@angular/common/fesm2022/common.mjs',
'@angular/compiler': 'npm:@angular/compiler/fesm2022/compiler.mjs',
'@angular/platform-browser': 'npm:@angular/platform-browser/fesm2022/platform-browser.mjs',
'@angular/platform-browser-dynamic': 'npm:@angular/platform-browser-dynamic/fesm2022/platform-browser-dynamic.mjs',
'@angular/common/http': 'npm:@angular/common/fesm2022/http.mjs',
'@angular/router': 'npm:@angular/router/fesm2022/router.mjs',
'@angular/forms': 'npm:@angular/forms/fesm2022/forms.mjs',
'jszip': 'npm:jszip/dist/jszip.min.js',
'typescript': 'npm:typescript/lib/typescript.js',
'ts': './plugin.js',
'tslib':'npm:tslib/tslib.js',
'css': 'npm:systemjs-plugin-css/css.js',
'plugin-babel': 'npm:systemjs-plugin-babel/plugin-babel.js',
'systemjs-babel-build':'npm:systemjs-plugin-babel/systemjs-babel-browser.js',
'@mescius/spread-sheets': 'cdn:@mescius/spread-sheets/index.js',
'@mescius/spread-sheets-angular': 'cdn:@mescius/spread-sheets-angular/fesm2020/mescius-spread-sheets-angular.mjs',
'@grapecity/jsob-test-dependency-package/react-components': 'npm:@grapecity/jsob-test-dependency-package/react-components/index.js'
},
// packages tells the System loader how to load when no filename and/or no extension
packages: {
src: {
defaultExtension: 'ts'
},
rxjs: {
defaultExtension: 'js'
},
"node_modules": {
defaultExtension: 'js'
},
"node_modules/@angular": {
defaultExtension: 'mjs'
},
"@mescius/spread-sheets-angular": {
defaultExtension: 'mjs'
},
'@angular/core': {
defaultExtension: 'mjs',
main: 'core.mjs'
}
}
});
})(this);